Package: org.gradle.play

## [Java] Interface PlayApplicationBinarySpec

- org.gradle.api.Buildable

- All Superinterfaces:
    BinarySpec, Buildable

  Represents a binary artifact that is the result of building a Play application software component.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `PlayApplicationSpec` | `getApplication()`
    `PublicAssets` | `getAssets()` A buildable object representing the public assets that will be included in the assets jar file.
    `File` | `getAssetsJarFile()` The assets jar file produced for this binary.
    `JvmClasses` | `getClasses()` A buildable object representing the class files and resources that will be included in the application jar file.
    `Map<LanguageSourceSet, JavaScriptSourceSet>` | `getGeneratedJavaScript()`
    `Map<LanguageSourceSet, ScalaLanguageSourceSet>` | `getGeneratedScala()`
    `File` | `getJarFile()` The application jar file produced for this binary.
    `PlayPlatform` | `getTargetPlatform()` The PlayPlatform this binary is built for.
    `PlayToolChain` | `getToolChain()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface BinarySpec` | `getDisplayName, getInputs, getSource, getSources, getTasks, isBuildable, sources, tasks`
    `interface BuildableModelElement` | `builtBy, getBuildTask, hasBuildDependencies, setBuildTask, getBuildDependencies`
    `interface Named` | `getName`

- - ### Method Detail

    - #### public PlayApplicationSpec getApplication()

    - #### public PublicAssets getAssets()

      A buildable object representing the public assets that will be included in the assets jar file.

      Returns:
        the PublicAssets for this binary

    - #### public File getAssetsJarFile()

      The assets jar file produced for this binary.

      Returns:
        the assets jar file

    - #### public JvmClasses getClasses()

      A buildable object representing the class files and resources that will be included in the application jar file.

      Returns:
        the JvmClasses for this binary

    - #### public Map<LanguageSourceSet, JavaScriptSourceSet> getGeneratedJavaScript()

    - #### public Map<LanguageSourceSet, ScalaLanguageSourceSet> getGeneratedScala()

    - #### public File getJarFile()

      The application jar file produced for this binary.

      Returns:
        the application jar file

    - #### @Variant public PlayPlatform getTargetPlatform()

      The PlayPlatform this binary is built for.

      Returns:
        platform for this binary

    - #### public PlayToolChain getToolChain()